# Package org.apache.maven.scm

- Interface Summary
  Interface | Description
  --- | ---
  ScmVersion |

- Class Summary
  Class | Description
  --- | ---
  AbstractScmVersion |
  ChangeFile | A set of information about revisions of a file as returned by CVS's log command
  ChangeSet |
  CommandParameter |
  CommandParameters |
  ScmBranch |
  ScmBranchParameters |
  ScmFile |
  ScmFileSet | Set of files used for SCM operations.
  ScmFileStatus | Typesafe enum for file status
  ScmResult |
  ScmRevision |
  ScmTag |
  ScmTagParameters |
  ScmTckTestCase | Base class for all TcK tests.
  ScmTestCase | Base class for all scm tests.

- Exception Summary
  Exception | Description
  --- | ---
  NoSuchCommandScmException |
  ScmException |

Copyright © 2003–2015. All rights reserved.